DROP TABLE INVENTORY_DATA; 

CREATE TABLE INVENTORY_DATA ( 
  ITEM_ID        SMALLINT, 
  ITEM_NAME      VARCHAR(50), 
  ITEM_DESC      VARCHAR(200), 
  ITEM_QUANTITY  SMALLINT, 
  ITEM_PRICE     FLOAT); 


INSERT INTO INVENTORY_DATA VALUES(1, 'Assorted Chocolates', 'Chocolates item 1', 200, 35.00);
INSERT INTO INVENTORY_DATA VALUES(2, 'Milk Chocolates', 'Chocolates item 2', 200, 25.00);
INSERT INTO INVENTORY_DATA VALUES(3, 'Dark Chocolates', 'Not for the weak! 3', 200, 26.95);
INSERT INTO INVENTORY_DATA VALUES(4, 'Chocolates with Nuts', 'Chocolates item 4', 200, 38.00);
INSERT INTO INVENTORY_DATA VALUES(5, 'White Chocolates', 'Chocolates item 5', 200, 18.00);
INSERT INTO INVENTORY_DATA VALUES(6, 'Chocolates Truffles', 'Chocolates item 6', 200, 40.00);
INSERT INTO INVENTORY_DATA VALUES(7, 'Soft Center Chocolates', 'Chocolates item 7', 200, 25.00);

DROP TABLE CREDIT_DATA; 

CREATE TABLE CREDIT_DATA ( 
  CC_NUMBER      VARCHAR (50),
  CC_TYPE        VARCHAR (50), 
  CC_CREDIT     FLOAT);
  
INSERT INTO CREDIT_DATA VALUES('2090209020902090', 'visa', 9020.90);  
INSERT INTO CREDIT_DATA VALUES('1234567890123456', 'visa', 1234.56);  
INSERT INTO CREDIT_DATA VALUES('2090209020902091', 'visa', 50.00);  
INSERT INTO CREDIT_DATA VALUES('2090209020902092', 'visa', 0.00);  

DROP TABLE ORDER_STATUS; 

CREATE TABLE ORDER_STATUS ( 
  ORDER_ID      VARCHAR (50),
  DATE_TIME     VARCHAR (50), 
  STATUS     VARCHAR (50));


DROP TABLE SHIP_ORDER;  

CREATE TABLE SHIP_ORDER
(	Order_ID	VARCHAR(50),
	Ship_Name	VARCHAR(50),
	Ship_Street	VARCHAR(50),
	Ship_City	VARCHAR(50),
	Ship_State	VARCHAR(50),
	Ship_Zip	VARCHAR(10),
	Ship_Status	VARCHAR(20),
	Ship_DATE	VARCHAR(12)
	);

DROP TABLE SHIP_ITEM;  

CREATE TABLE SHIP_ITEM
(	Order_ID	VARCHAR(50),
	Item_Name	VARCHAR(50),
	Item_Quantity INTEGER
);	


