// TIBCO Enterprise for JMS - Java API
// File: MyListener.java
// TIBCO Education Services
// Copyright 2003 - TIBCO Software Inc.
// ALL RIGHTS RESERVED

// **** Step 1 Import the jars
import javax.naming.*;
import javax.jms.*;

// This class implements the message listener
public class MyListener implements MessageListener
{
	// **** Step 2 implements the specific method
	public void onMessage(Message m)
	{
		// ***** Step3 Message handling logic here
		TextMessage msg = null;
		try
		{
			if  (m != null)
			{
				if (m instanceof TextMessage)
				{
					msg = (TextMessage)m;
					System.out.println("Recieved Text Message: " + msg.getText());
				}
				else if (m instanceof Message)
				{
					System.out.println("Just Message" + msg.getText());
				}
			}
		}
		catch(JMSException e)
		{
			System.out.println("Exception in onMessage  :" + e.toString());
			System.exit(1);
		}
	}
}
