@echo off
rem ## 
rem ## Set TIBJMS_ROOT to the root of your installation of
rem ## TIBCO Enterprise for JMS software
rem ## 

set TIBJMS_ROOT=d:\tibco\JMS
set JMS_PROJ=E:\Projects\jms\java\Tibchoc
set JMS_PROJ_CLASS=E:\Projects\jms\java\Tibchoc\Tibjms\rel

rem ## 
rem ## You should not need to change the text below
rem ## 

if NOT EXIST %TIBJMS_ROOT%\java\jms.jar goto badenv
if NOT EXIST %TIBJMS_ROOT%\java\jndi.jar goto badenv
if NOT EXIST %TIBJMS_ROOT%\java\tibjms.jar goto badenv
if NOT EXIST %TIBJMS_ROOT%\java\tibjmsnaming.jar goto badenv
if NOT EXIST %TIBJMS_ROOT%\java\tibjmsadmin.jar goto badenv

set CLASSPATH=%JMS_PROJ_CLASS%;%JMS_PROJ%\util\classes12.zip;%JMS_PROcJ%\util\servlet.jar;%JMS_PROJ%\util\tibchoc.jar;.;%JMS_PROJ%\util\xerces.jar;%JMS_PROJ%\tibjms;%TIBJMS_ROOT%\java\jms.jar;%TIBJMS_ROOT%\java\jndi.jar;%TIBJMS_ROOT%\java\tibjms.jar;%TIBJMS_ROOT%\java\tibjmsnaming.jar;%TIBJMS_ROOT%\java\tibjmsadmin.jar;%CLASSPATH%

e:
cd %JMS_PROJ%\tibjms\cfg

%1

goto end

:badenv
echo .
echo Error: TIBJMS_ROOT variable is not set or does not correctly specify
echo the root directory of the TIBCO Enterprise for JMS software. Please correct
echo the TIBJMS_ROOT variable at the beginning of this script.
echo .

:end





