// TIBCO Enterprise for JMS - Java API
// File: MyListener.java
// TIBCO Education Services
// Copyright 2003 - TIBCO Software Inc.
// ALL RIGHTS RESERVED

// **** Step 1 Import the jars
import javax.naming.*;
import javax.jms.*;

// This class implements the message listener
public class MyListener implements MessageListener
{
	// **** Step 2 implements the specific method
	public void onMessage(Message msg)
	{
		// ***** Step3 Message handling logic here
		if(msg instanceof TextMessage)
                {
                  try
                  {
                  

                   TextMessage txtMsg = (TextMessage)msg;
                   System.out.println("Received Text Message: " + txtMsg.getText());
                  }
                  catch(Exception ex)
                  {
                     System.out.println("Caught exception = " + ex.getMessage());
                  }
                }
	}
}
