/* 
 * Copyright(c) 2001 TIBCO Software Inc. 
 * All rights reserved.
 * For more information, please contact:
 * TIBCO Software Inc., Palo Alto, California, USA
 * Written By : Medha Samant
 * History : 
 *  Written Date : Nov 2001 
 */

/*
 * AppProperties.java
 * DESCRIPTION :Read properties file and load the contents of file
 *
 */

package com.tibco.tibchoc;

import java.util.*;
import java.io.*;


public class AppProperties 
{
    public  static  Properties   m_properties;
    public  static void loadProperties (String fileName) throws Exception
    {
        m_properties = new Properties();
        FileInputStream pi = new FileInputStream(fileName);
        m_properties.load(pi);
    }
    
    public static String getProperty(String propertyName)
    {
        return (String) m_properties.get(propertyName);
    }
}