/* 
 * Copyright(c) 2001 TIBCO Software Inc. 
 * All rights reserved.
 * For more information, please contact:
 * TIBCO Software Inc., Palo Alto, California, USA
 * Written By : Medha Samant
 * History : 
 *  Written Date : Nov 2001 
 */
/*
 * orderHAsh.java
 * DESCRIPTION : singleton inMemoryHashTable that will maintain the state of various 
 *               orders during asynchronous request reply
 *
 */

import javax.jms.*;
import java.util.*;

public class OrderHash
{
    private static Hashtable inMemoryHash;
    
    public OrderHash(){}
    
    public static Hashtable getHashInstance()
    {
        if (inMemoryHash == null)
            inMemoryHash = new Hashtable();
        return inMemoryHash;
    }
}